Package org.mozilla.javascript

## Class IteratorLikeIterable.Itr

- java.lang.Object
- - org.mozilla.javascript.IteratorLikeIterable.Itr

- All Implemented Interfaces:
    `java.util.Iterator<java.lang.Object>`
  Enclosing class:
    IteratorLikeIterable

      public final class IteratorLikeIterable.Itr
      extends java.lang.Object
      implements java.util.Iterator<java.lang.Object>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Itr()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `boolean` | `isDone()` | Find out if "hasNext" returned done without invoking the function again.
    `java.lang.Object` | `next()` |
    `void` | `setDone​(boolean done)` | Manually set "done." Used for exception handling in promises.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### Itr

          public Itr()

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<java.lang.Object>`

    - #### next

          public java.lang.Object next()

      Specified by:
        `next` in interface `java.util.Iterator<java.lang.Object>`

    - #### isDone

          public boolean isDone()

      Find out if "hasNext" returned done without invoking the function again.

    - #### setDone

          public void setDone​(boolean done)

      Manually set "done." Used for exception handling in promises.